Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.discovery
Class ModCandidate

    java.lang.Object
      cpw.mods.fml.common.discovery.ModCandidate

    public class ModCandidate

extends Object

Constructor Summary
`ModCandidate(File classPathRoot, File modContainer, ContainerType sourceType)`
`ModCandidate(File classPathRoot, File modContainer, ContainerType sourceType, boolean isMinecraft, boolean classpath)`

Method Summary
`List<ModContainer>` | `explore(ASMDataTable table)`
`File` | `getClassPathRoot()`
`File` | `getModContainer()`
`List<String>` | `getRememberedBaseMods()`
`ContainerType` | `getSourceType()`
`boolean` | `isClasspath()`
`boolean` | `isMinecraftJar()`
`void` | `rememberBaseModType(String className)`
`void` | `rememberModCandidateType(ASMModParser modParser)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModCandidate

    public ModCandidate(File classPathRoot,
                        File modContainer,
                        ContainerType sourceType)

### ModCandidate

    public ModCandidate(File classPathRoot,
                        File modContainer,
                        ContainerType sourceType,
                        boolean isMinecraft,
                        boolean classpath)

Method Detail

### getClassPathRoot

    public File getClassPathRoot()

### getModContainer

    public File getModContainer()

### getSourceType

    public ContainerType getSourceType()

### explore

    public List<ModContainer> explore(ASMDataTable table)

### isClasspath

    public boolean isClasspath()

### rememberBaseModType

    public void rememberBaseModType(String className)

### getRememberedBaseMods

    public List<String> getRememberedBaseMods()

### isMinecraftJar

    public boolean isMinecraftJar()

### rememberModCandidateType

    public void rememberModCandidateType(ASMModParser modParser)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD